Subject: Re: bug#15184: 24.3.50; Flymake get-real-name does not use customization

From: Glenn Morris <[email-masked]>
Date: Sun, 25 Aug 2013 15:37:55 -0400

Oleg Sivokon wrote:

> I believe that this is the bug in `flymake-get-real-file-name-function'
> The function is very short, so I post it all here:
>
> (defun flymake-get-real-file-name-function (file-name)
>   (or (nth 4 (flymake-get-file-name-mode-and-masks file-name))
>       'flymake-get-real-file-name))
>
> (nth 4 ...) is always `nil' because the results
> `flymake-get-file-name-mode-and-masks' returns are of the form:
> (init-func cleanup-func? name-func?) - i.e. 3 top. In order for this
> function to work properly it has to be (nth 2 ...)

It used to be "nth 2" until

    revno: 112719.1.1
    committer: Xue Fuqiao <[email-masked]>
    branch nick: flymake
    timestamp: Sat 2013-05-25 09:26:12 +0800
    message:
      Refine the documentation of Flymake

I have no idea why it was changed as part of that commit.